Cdiscount Product
Extract full product details from a Cdiscount product page, including price, seller, ratings, specifications, and offers.
Status: Degraded
Credit cost: 2 credits per call
Authorization
ApiKeyAuth x-api-key<token>
Your API key. Include it in the x-api-key header for every request.
In: header
Query Parameters
query*string
Full Cdiscount product page URL.
Example:
https://www.cdiscount.com/informatique/ordinateurs-pc-portables/acemagic-pc-portables-gaming/f-1070992-aaaph06865.htmlNotes:
- Only standard Cdiscount product URLs are accepted (e.g.
/f-{category}-{id}.html). - Offer comparison pages (
/mp-{id}-{ean}.html) should be used with the Cdiscount Product Offer endpoint instead.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.piloterr.com/v2/cdiscount/product?query=string"{
"id": "aaaph06865",
"ean": "0683370375062",
"url": "https://www.cdiscount.com/informatique/ordinateurs-pc-portables/acemagic-pc-portables-gaming/f-1070992-aaaph06865.html",
"brand": "ACEMAGIC",
"price": 429.99,
"title": "ACEMAGIC PC Portables Gaming - 15.6\" FHD, AMD Ryzen 7 5700U(8C/16T, 4,3GHz),16Go RAM DDR4, 512Go M.2 SSD, WiFi 6, BT5.2, HDMI,Gris",
"images": [
"https://www.cdiscount.com/pdt2/8/6/5/1/700x700/aaaph06865/rw/acemagic-pc-portables-gaming.jpg"
],
"rating": 4,
"seller": {
"id": 405259,
"name": "BOOMING",
"rating": 5,
"sales_count": 1847,
"reviews_count": 20
},
"is_cdav": true,
"currency": "EUR",
"offer_id": 4258700481,
"condition": "Neuf",
"multiple_offer_url": "https://www.cdiscount.com/mp-352880-auc3283981039048.html",
"multiple_offer_text": "2 offres neuves",
"multiple_offer_starting_price": 9.24,
"description": "Portable gaming AMD Ryzen 7 5700U, 16Go RAM, 512Go SSD.",
"is_available": true,
"other_offers": {
"total_offers": 1,
"lowest_price_new": 459.9,
"new_offers_count": 1,
"lowest_price_used": null,
"used_offers_count": 0
},
"delivery_info": "Livraison gratuite | Expédié depuis: FRANCE",
"reviews_count": 2,
"original_price": 499.9
}{
"error": "Bad Request"
}{
"error": "Invalid API Key"
}{
"error": "Payment required"
}{
"error": "Rate limit exceeded for the API key: quota monthly"
}{
"error": "Internal Error"
}